﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="chart.aspx.cs" Inherits="C1WijmoProManagement.chart" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Tabs"
    TagPrefix="wijmo" %>
<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Chart"
    TagPrefix="wijmo" %>
<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Gauge"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function hintContent() {
            return this.label + ' ' + this.y + '';
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <wijmo:C1CompositeChart ID="C1CompositeChart1" runat="server" Culture="zh-CN" Height="480px"
            Width="100%" ToolTip="复合图表控件-C1CompositeChart1">
            <Header Compass="North">
            </Header>
            <Footer Compass="South" Visible="False">
            </Footer>
            <Hint>
                <Content Function="hintContent" />
            </Hint>
            <Axis>
                <X>
                    <GridMajor Visible="True">
                    </GridMajor>
                    <GridMinor Visible="False">
                    </GridMinor>
                </X>
                <Y Compass="West" Visible="False">
                    <Labels TextAlign="Center">
                    </Labels>
                    <GridMajor Visible="True">
                    </GridMajor>
                    <GridMinor Visible="False">
                    </GridMinor>
                </Y>
            </Axis>
            <SeriesStyles>
                <wijmo:ChartStyle Stroke="#4aa6e2" StrokeWidth="1.5">
                    <Fill Type="LinearGradient" LinearGradientAngle="45" ColorBegin="#53b9fc" ColorEnd="#4aa6e2">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle Stroke="#afe500" StrokeWidth="1.5">
                    <Fill Type="LinearGradient" LinearGradientAngle="45" ColorBegin="#c3ff00" ColorEnd="#afe500">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#AFE500">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#AFE500" ColorEnd="#AFE500">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#7FC73C">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#7FC73C" ColorEnd="#7FC73C">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#5F9996">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#5F9996" ColorEnd="#5F9996">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#3E5F77">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#3E5F77" ColorEnd="#3E5F77">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#959595">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#A6A6A6" ColorEnd="#959595">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#D9007E">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#D9007E" ColorEnd="#D9007E">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="Red">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="Red" ColorEnd="Red">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#7FC73C">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#7FC73C" ColorEnd="#7FC73C">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#F60575">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#F60575" ColorEnd="#F60575">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#09C">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#09C" ColorEnd="#09C">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#80C">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#80C" ColorEnd="#80C">
                    </Fill>
                </wijmo:ChartStyle>
                <wijmo:ChartStyle StrokeWidth="1.5" Stroke="#53b9fc">
                    <Fill Type="LinearGradient" LinearGradientAngle="180" ColorBegin="#53b9fc" ColorEnd="#4aa6e2">
                    </Fill>
                </wijmo:ChartStyle>
            </SeriesStyles>
        </wijmo:C1CompositeChart>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/销售数据清单.mdb"
            SelectCommand="SELECT * FROM [ChartDataMonthly]"></asp:AccessDataSource>
    </div>
    </form>
</body>
</html>
